#!/usr/bin/env bash

# Username / password are best stored in an env file rather than a Nomad job file
if [[ -r "/srv/env" ]]; then
	#shellcheck disable=SC2046
	export $(xargs </srv/env);
fi

if [[ -n "${MQTT_SERVER}" ]]; then
	JSON2COLLECTDMQTT_ARGS="${JSON2COLLECTDMQTT_ARGS} --server ${MQTT_SERVER}";
fi

exec json2collectdmqtt